### FBC_PACKAGE\MATLAB_SBML_STRUCTURES\FLUXOBJECTIVE

The functions allow users to create and work with the SBML FBC FluxObjective structure.

Function are:

#### FluxObjective = FluxObjective_create(level, version, pkgVersion)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version
3. pkgVersion, an integer representing an SBML package version

Returns

1. a MATLAB_SBML FBC FluxObjective structure of the appropriate level, version and pkgVersion

#### coefficient = FluxObjective_getCoefficient(SBMLFluxObjective)

Takes

1. SBMLFluxObjective, an SBML FluxObjective structure

Returns

1. the value of the fbc_coefficient attribute

#### metaid = FluxObjective_getMetaid(SBMLFluxObjective)

Takes

1. SBMLFluxObjective, an SBML FluxObjective structure

Returns

1. the value of the metaid attribute

#### reaction = FluxObjective_getReaction(SBMLFluxObjective)

Takes

1. SBMLFluxObjective, an SBML FluxObjective structure

Returns

1. the value of the fbc_reaction attribute

#### sboTerm = FluxObjective_getSBOTerm(SBMLFluxObjective)

Takes

1. SBMLFluxObjective, an SBML FluxObjective structure

Returns

1. the value of the sboTerm attribute

#### coefficient = FluxObjective_isSetCoefficient(SBMLFluxObjective)

Takes

1. SBMLFluxObjective, an SBML FluxObjective structure

Returns

1. value =
   - 1 if the fbc_coefficient attribute is set
   - 0 otherwise

#### metaid = FluxObjective_isSetMetaid(SBMLFluxObjective)

Takes

1. SBMLFluxObjective, an SBML FluxObjective structure

Returns

1. value =
   - 1 if the metaid attribute is set
   - 0 otherwise

#### reaction = FluxObjective_isSetReaction(SBMLFluxObjective)

Takes

1. SBMLFluxObjective, an SBML FluxObjective structure

Returns

1. value =
   - 1 if the fbc_reaction attribute is set
   - 0 otherwise

#### sboTerm = FluxObjective_isSetSBOTerm(SBMLFluxObjective)

Takes

1. SBMLFluxObjective, an SBML FluxObjective structure

Returns

1. value =
   - 1 if the sboTerm attribute is set
   - 0 otherwise

#### SBMLFluxObjective = FluxObjective_setCoefficient(SBMLFluxObjective, coefficient)

Takes

1. SBMLFluxObjective, an SBML FluxObjective structure
2. coefficient, a number representing the fbc_coefficient to be set

Returns

1. the SBML FBC FluxObjective structure with the new value for the fbc_coefficient attribute

#### SBMLFluxObjective = FluxObjective_setMetaid(SBMLFluxObjective, metaid)

Takes

1. SBMLFluxObjective, an SBML FluxObjective structure
2. metaid, a string representing the metaid to be set

Returns

1. the SBML FBC FluxObjective structure with the new value for the metaid attribute

#### SBMLFluxObjective = FluxObjective_setReaction(SBMLFluxObjective, reaction)

Takes

1. SBMLFluxObjective, an SBML FluxObjective structure
2. reaction, a string representing the fbc_reaction to be set

Returns

1. the SBML FBC FluxObjective structure with the new value for the fbc_reaction attribute

#### SBMLFluxObjective = FluxObjective_setSBOTerm(SBMLFluxObjective, sboTerm)

Takes

1. SBMLFluxObjective, an SBML FluxObjective structure
2. sboTerm, a number representing the sboTerm to be set

Returns

1. the SBML FBC FluxObjective structure with the new value for the sboTerm attribute

#### SBMLFluxObjective = FluxObjective_unsetCoefficient(SBMLFluxObjective)

Takes

1. SBMLFluxObjective, an SBML FluxObjective structure

Returns

1. the SBML FBC FluxObjective structure with the fbc_coefficient attribute unset

#### SBMLFluxObjective = FluxObjective_unsetMetaid(SBMLFluxObjective)

Takes

1. SBMLFluxObjective, an SBML FluxObjective structure

Returns

1. the SBML FBC FluxObjective structure with the metaid attribute unset

#### SBMLFluxObjective = FluxObjective_unsetReaction(SBMLFluxObjective)

Takes

1. SBMLFluxObjective, an SBML FluxObjective structure

Returns

1. the SBML FBC FluxObjective structure with the fbc_reaction attribute unset

#### SBMLFluxObjective = FluxObjective_unsetSBOTerm(SBMLFluxObjective)

Takes

1. SBMLFluxObjective, an SBML FluxObjective structure

Returns

1. the SBML FBC FluxObjective structure with the sboTerm attribute unset